{
    "$graph": [
        {
            "class": "Workflow",
            "label": "Subworkflow that runs cnvkit in single sample mode and returns a vcf file",
            "requirements": [
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#cnvkit_single_sample.cwl/cnvkit_vcf_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#cnvkit_single_sample.cwl/diagram"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#cnvkit_single_sample.cwl/drop_low_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#cnvkit_single_sample.cwl/male_reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "hybrid",
                    "id": "#cnvkit_single_sample.cwl/method"
                },
                {
                    "type": "File",
                    "id": "#cnvkit_single_sample.cwl/reference_cnn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#cnvkit_single_sample.cwl/scatter_plot"
                },
                {
                    "type": "File",
                    "id": "#cnvkit_single_sample.cwl/tumor_bam"
                }
            ],
            "steps": [
                {
                    "run": "#cnvkit_vcf_export.cwl",
                    "in": [
                        {
                            "source": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_bin_level_ratios",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/cnr_file"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_segmented_ratios",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/cns_file"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/male_reference",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/male_reference"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/cnvkit_vcf_name",
                            "valueFrom": "${  \n    if(inputs.output_name) {\n        return inputs.output_name;\n    }   \n    else {\n        return inputs.tumor_bam.nameroot + \".cnvkit.vcf\"\n    }   \n}\n",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/output_name"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/tumor_bam",
                            "id": "#cnvkit_single_sample.cwl/cns_to_vcf/tumor_bam"
                        }
                    ],
                    "out": [
                        "#cnvkit_single_sample.cwl/cns_to_vcf/cnvkit_vcf"
                    ],
                    "id": "#cnvkit_single_sample.cwl/cns_to_vcf"
                },
                {
                    "run": "#cnvkit_batch.cwl",
                    "in": [
                        {
                            "source": "#cnvkit_single_sample.cwl/diagram",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/diagram"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/drop_low_coverage",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/drop_low_coverage"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/male_reference",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/male_reference"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/method",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/method"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/reference_cnn",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/reference_cnn"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/scatter_plot",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/scatter_plot"
                        },
                        {
                            "source": "#cnvkit_single_sample.cwl/tumor_bam",
                            "id": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_bam"
                        }
                    ],
                    "out": [
                        "#cnvkit_single_sample.cwl/cnvkit_main/cn_diagram",
                        "#cnvkit_single_sample.cwl/cnvkit_main/cn_scatter_plot",
                        "#cnvkit_single_sample.cwl/cnvkit_main/tumor_antitarget_coverage",
                        "#cnvkit_single_sample.cwl/cnvkit_main/tumor_target_coverage",
                        "#cnvkit_single_sample.cwl/cnvkit_main/tumor_bin_level_ratios",
                        "#cnvkit_single_sample.cwl/cnvkit_main/tumor_segmented_ratios"
                    ],
                    "id": "#cnvkit_single_sample.cwl/cnvkit_main"
                }
            ],
            "id": "#cnvkit_single_sample.cwl",
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/cn_diagram",
                    "id": "#cnvkit_single_sample.cwl/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/cn_scatter_plot",
                    "id": "#cnvkit_single_sample.cwl/cn_scatter_plot"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cns_to_vcf/cnvkit_vcf",
                    "id": "#cnvkit_single_sample.cwl/cnvkit_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_antitarget_coverage",
                    "id": "#cnvkit_single_sample.cwl/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_bin_level_ratios",
                    "id": "#cnvkit_single_sample.cwl/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_segmented_ratios",
                    "id": "#cnvkit_single_sample.cwl/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#cnvkit_single_sample.cwl/cnvkit_main/tumor_target_coverage",
                    "id": "#cnvkit_single_sample.cwl/tumor_target_coverage"
                }
            ]
        },
        {
            "class": "Workflow",
            "label": "SV filtering workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "type": "record",
                            "name": "#labelled_file.yml/labelled_file",
                            "label": "a file with a label",
                            "fields": [
                                {
                                    "type": "File",
                                    "name": "#labelled_file.yml/labelled_file/file"
                                },
                                {
                                    "type": "string",
                                    "name": "#labelled_file.yml/labelled_file/label"
                                }
                            ]
                        }
                    ]
                },
                {
                    "class": "StepInputExpressionRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "float",
                    "id": "#filter_sv_vcf.cwl/maximum_sv_population_frequency"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#filter_sv_vcf.cwl/sv_intervals"
                },
                {
                    "type": "File",
                    "id": "#filter_sv_vcf.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#filter_sv_vcf.cwl/intersect_variants/intersect_result",
                    "id": "#filter_sv_vcf.cwl/filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#filter_sv_vcf.cwl/filter_sv_pop/filtered_vcf",
                    "id": "#filter_sv_vcf.cwl/sv_pop_filtered_vcf"
                }
            ],
            "steps": [
                {
                    "run": "#filter_vcf_max_sv_pop_freq.cwl",
                    "in": [
                        {
                            "source": "#filter_sv_vcf.cwl/maximum_sv_population_frequency",
                            "id": "#filter_sv_vcf.cwl/filter_sv_pop/maximum_sv_population_frequency"
                        },
                        {
                            "source": "#filter_sv_vcf.cwl/vcf",
                            "id": "#filter_sv_vcf.cwl/filter_sv_pop/vcf"
                        }
                    ],
                    "out": [
                        "#filter_sv_vcf.cwl/filter_sv_pop/filtered_vcf"
                    ],
                    "id": "#filter_sv_vcf.cwl/filter_sv_pop"
                },
                {
                    "run": "#bedtools_intersect.cwl",
                    "scatter": [
                        "#filter_sv_vcf.cwl/intersect_variants/file_b",
                        "#filter_sv_vcf.cwl/intersect_variants/output_name"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#filter_sv_vcf.cwl/filter_sv_pop/filtered_vcf",
                            "id": "#filter_sv_vcf.cwl/intersect_variants/file_a"
                        },
                        {
                            "source": "#filter_sv_vcf.cwl/interval_to_bed/interval_bed",
                            "id": "#filter_sv_vcf.cwl/intersect_variants/file_b"
                        },
                        {
                            "source": "#filter_sv_vcf.cwl/sv_intervals",
                            "valueFrom": "intersect-$(self.label).vcf",
                            "id": "#filter_sv_vcf.cwl/intersect_variants/output_name"
                        }
                    ],
                    "out": [
                        "#filter_sv_vcf.cwl/intersect_variants/intersect_result"
                    ],
                    "id": "#filter_sv_vcf.cwl/intersect_variants"
                },
                {
                    "run": "#intervals_to_bed.cwl",
                    "scatter": [
                        "#filter_sv_vcf.cwl/interval_to_bed/interval_list"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#filter_sv_vcf.cwl/sv_intervals",
                            "valueFrom": "$(self.file)",
                            "id": "#filter_sv_vcf.cwl/interval_to_bed/interval_list"
                        }
                    ],
                    "out": [
                        "#filter_sv_vcf.cwl/interval_to_bed/interval_bed"
                    ],
                    "id": "#filter_sv_vcf.cwl/interval_to_bed"
                }
            ],
            "id": "#filter_sv_vcf.cwl"
        },
        {
            "class": "Workflow",
            "label": "merge and annotate svs with population allele freq and vep",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#merge_svs.cwl/coding_only"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#merge_svs.cwl/cohort_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#merge_svs.cwl/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#merge_svs.cwl/custom_gnomad_vcf"
                },
                {
                    "type": "boolean",
                    "id": "#merge_svs.cwl/estimate_sv_distance"
                },
                {
                    "type": "int",
                    "id": "#merge_svs.cwl/max_distance_to_merge"
                },
                {
                    "type": "int",
                    "id": "#merge_svs.cwl/minimum_sv_calls"
                },
                {
                    "type": "int",
                    "id": "#merge_svs.cwl/minimum_sv_size"
                },
                {
                    "type": "string",
                    "id": "#merge_svs.cwl/reference"
                },
                {
                    "type": "boolean",
                    "id": "#merge_svs.cwl/same_strand"
                },
                {
                    "type": "boolean",
                    "id": "#merge_svs.cwl/same_type"
                },
                {
                    "type": "File",
                    "id": "#merge_svs.cwl/sv_db"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#merge_svs.cwl/synonyms_file"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#merge_svs.cwl/vcfs"
                },
                {
                    "type": "string",
                    "id": "#merge_svs.cwl/vep_assembly"
                },
                {
                    "type": "string",
                    "id": "#merge_svs.cwl/vep_cache_dir"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [],
                    "id": "#merge_svs.cwl/vep_plugins"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#merge_svs.cwl/sort_vcf/sorted_vcf",
                    "id": "#merge_svs.cwl/merged_annotated_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#merge_svs.cwl/annotate_variants/vep_summary",
                    "id": "#merge_svs.cwl/vep_summary"
                }
            ],
            "steps": [
                {
                    "run": "#add_sv_population_frequency.cwl",
                    "in": [
                        {
                            "source": "#merge_svs.cwl/cohort_name",
                            "id": "#merge_svs.cwl/add_population_frequency/cohort_name"
                        },
                        {
                            "source": "#merge_svs.cwl/sv_db",
                            "id": "#merge_svs.cwl/add_population_frequency/sv_db"
                        },
                        {
                            "source": "#merge_svs.cwl/merge_vcfs/merged_vcf",
                            "id": "#merge_svs.cwl/add_population_frequency/vcf"
                        }
                    ],
                    "out": [
                        "#merge_svs.cwl/add_population_frequency/merged_annotated_vcf"
                    ],
                    "id": "#merge_svs.cwl/add_population_frequency"
                },
                {
                    "run": "#vep.cwl",
                    "in": [
                        {
                            "source": "#merge_svs.cwl/vep_assembly",
                            "id": "#merge_svs.cwl/annotate_variants/assembly"
                        },
                        {
                            "source": "#merge_svs.cwl/vep_cache_dir",
                            "id": "#merge_svs.cwl/annotate_variants/cache_dir"
                        },
                        {
                            "source": "#merge_svs.cwl/coding_only",
                            "id": "#merge_svs.cwl/annotate_variants/coding_only"
                        },
                        {
                            "source": "#merge_svs.cwl/custom_clinvar_vcf",
                            "id": "#merge_svs.cwl/annotate_variants/custom_clinvar_vcf"
                        },
                        {
                            "source": "#merge_svs.cwl/custom_gnomad_vcf",
                            "id": "#merge_svs.cwl/annotate_variants/custom_gnomad_vcf"
                        },
                        {
                            "default": false,
                            "id": "#merge_svs.cwl/annotate_variants/everything"
                        },
                        {
                            "default": "per_gene",
                            "id": "#merge_svs.cwl/annotate_variants/pick"
                        },
                        {
                            "source": "#merge_svs.cwl/vep_plugins",
                            "id": "#merge_svs.cwl/annotate_variants/plugins"
                        },
                        {
                            "source": "#merge_svs.cwl/reference",
                            "id": "#merge_svs.cwl/annotate_variants/reference"
                        },
                        {
                            "source": "#merge_svs.cwl/synonyms_file",
                            "id": "#merge_svs.cwl/annotate_variants/synonyms_file"
                        },
                        {
                            "source": "#merge_svs.cwl/add_population_frequency/merged_annotated_vcf",
                            "id": "#merge_svs.cwl/annotate_variants/vcf"
                        }
                    ],
                    "out": [
                        "#merge_svs.cwl/annotate_variants/annotated_vcf",
                        "#merge_svs.cwl/annotate_variants/vep_summary"
                    ],
                    "id": "#merge_svs.cwl/annotate_variants"
                },
                {
                    "run": "#survivor.cwl",
                    "in": [
                        {
                            "source": "#merge_svs.cwl/cohort_name",
                            "id": "#merge_svs.cwl/merge_vcfs/cohort_name"
                        },
                        {
                            "source": "#merge_svs.cwl/estimate_sv_distance",
                            "id": "#merge_svs.cwl/merge_vcfs/estimate_sv_distance"
                        },
                        {
                            "source": "#merge_svs.cwl/max_distance_to_merge",
                            "id": "#merge_svs.cwl/merge_vcfs/max_distance_to_merge"
                        },
                        {
                            "source": "#merge_svs.cwl/minimum_sv_calls",
                            "id": "#merge_svs.cwl/merge_vcfs/minimum_sv_calls"
                        },
                        {
                            "source": "#merge_svs.cwl/minimum_sv_size",
                            "id": "#merge_svs.cwl/merge_vcfs/minimum_sv_size"
                        },
                        {
                            "source": "#merge_svs.cwl/same_strand",
                            "id": "#merge_svs.cwl/merge_vcfs/same_strand"
                        },
                        {
                            "source": "#merge_svs.cwl/same_type",
                            "id": "#merge_svs.cwl/merge_vcfs/same_type"
                        },
                        {
                            "source": "#merge_svs.cwl/vcfs",
                            "id": "#merge_svs.cwl/merge_vcfs/vcfs"
                        }
                    ],
                    "out": [
                        "#merge_svs.cwl/merge_vcfs/merged_vcf"
                    ],
                    "id": "#merge_svs.cwl/merge_vcfs"
                },
                {
                    "run": "#sort_vcf.cwl",
                    "in": [
                        {
                            "source": "#merge_svs.cwl/annotate_variants/annotated_vcf",
                            "id": "#merge_svs.cwl/sort_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#merge_svs.cwl/sort_vcf/sorted_vcf"
                    ],
                    "id": "#merge_svs.cwl/sort_vcf"
                }
            ],
            "id": "#merge_svs.cwl"
        },
        {
            "class": "Workflow",
            "label": "Subworkflow to allow calling different SV callers which require bam files as inputs",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "SchemaDefRequirement",
                    "types": [
                        {
                            "$import": "#labelled_file.yml/labelled_file"
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".bai",
                        "^.bai"
                    ],
                    "id": "#main/bam"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/cnvkit_diagram"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/cnvkit_drop_low_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/cnvkit_male_reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/cnvkit_method"
                },
                {
                    "type": "File",
                    "id": "#main/cnvkit_reference_cnn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/cnvkit_scatter_plot"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/cnvkit_vcf_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/manta_call_regions"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/manta_non_wgs"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "id": "#main/manta_output_contigs"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.1,
                    "id": "#main/maximum_sv_pop_freq"
                },
                {
                    "type": "boolean",
                    "id": "#main/merge_estimate_sv_distance"
                },
                {
                    "type": "int",
                    "id": "#main/merge_max_distance"
                },
                {
                    "type": "int",
                    "id": "#main/merge_min_sv_size"
                },
                {
                    "type": "int",
                    "id": "#main/merge_min_svs"
                },
                {
                    "type": "boolean",
                    "id": "#main/merge_same_strand"
                },
                {
                    "type": "boolean",
                    "id": "#main/merge_same_type"
                },
                {
                    "type": "File",
                    "id": "#main/merge_sv_pop_freq_db"
                },
                {
                    "type": "string",
                    "id": "#main/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/smoove_exclude_regions"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "#labelled_file.yml/labelled_file"
                    },
                    "id": "#main/sv_filter_interval_lists"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "CHROM",
                        "POS",
                        "ID",
                        "REF",
                        "ALT",
                        "SVLEN",
                        "CHR2",
                        "END",
                        "POPFREQ_AF",
                        "POPFREQ_VarID",
                        "NSAMP"
                    ],
                    "id": "#main/variants_to_table_fields"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "GT"
                    ],
                    "id": "#main/variants_to_table_genotype_fields"
                },
                {
                    "type": "string",
                    "id": "#main/vep_assembly"
                },
                {
                    "type": "string",
                    "id": "#main/vep_cache_dir"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "default": [
                        "SYMBOL"
                    ],
                    "id": "#main/vep_to_table_fields"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/add_vep_fields_to_table/annotated_variants_tsv",
                    "id": "#main/annotated_tsvs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_cnvkit/cn_diagram",
                    "id": "#main/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_cnvkit/cn_scatter_plot",
                    "id": "#main/cn_scatter_plot"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/cnvkit_vcf",
                    "id": "#main/cnvkit_vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/annotated_filter_index/indexed_vcf",
                    "id": "#main/filtered_vcfs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_manta/all_candidates",
                    "id": "#main/manta_all_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_manta/diploid_variants",
                    "id": "#main/manta_diploid_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_manta/small_candidates",
                    "id": "#main/manta_small_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_manta/somatic_variants",
                    "id": "#main/manta_somatic_variants"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputSource": "#main/run_manta/tumor_only_variants",
                    "id": "#main/manta_tumor_only_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_merge/merged_annotated_vcf",
                    "id": "#main/merged_annotated_svs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_smoove/output_vcf",
                    "id": "#main/smoove_output_variants"
                },
                {
                    "type": "File",
                    "outputSource": "#main/filter_vcf/sv_pop_filtered_vcf",
                    "id": "#main/sv_pop_filtered_vcf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/tumor_antitarget_coverage",
                    "id": "#main/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/tumor_bin_level_ratios",
                    "id": "#main/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/tumor_segmented_ratios",
                    "id": "#main/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputSource": "#main/run_cnvkit/tumor_target_coverage",
                    "id": "#main/tumor_target_coverage"
                }
            ],
            "steps": [
                {
                    "run": "#add_vep_fields_to_table.cwl",
                    "scatter": [
                        "#main/add_vep_fields_to_table/vcf",
                        "#main/add_vep_fields_to_table/tsv",
                        "#main/add_vep_fields_to_table/prefix"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/sv_filter_interval_lists",
                            "valueFrom": "$(self.label)",
                            "id": "#main/add_vep_fields_to_table/prefix"
                        },
                        {
                            "source": "#main/variants_to_table/variants_tsv",
                            "id": "#main/add_vep_fields_to_table/tsv"
                        },
                        {
                            "source": "#main/annotated_filter_index/indexed_vcf",
                            "id": "#main/add_vep_fields_to_table/vcf"
                        },
                        {
                            "source": "#main/vep_to_table_fields",
                            "id": "#main/add_vep_fields_to_table/vep_fields"
                        }
                    ],
                    "out": [
                        "#main/add_vep_fields_to_table/annotated_variants_tsv"
                    ],
                    "id": "#main/add_vep_fields_to_table"
                },
                {
                    "run": "#bgzip.cwl",
                    "scatter": [
                        "#main/annotated_filter_bgzip/file"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/filter_vcf/filtered_vcf",
                            "id": "#main/annotated_filter_bgzip/file"
                        }
                    ],
                    "out": [
                        "#main/annotated_filter_bgzip/bgzipped_file"
                    ],
                    "id": "#main/annotated_filter_bgzip"
                },
                {
                    "run": "#index_vcf.cwl",
                    "scatter": [
                        "#main/annotated_filter_index/vcf"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/annotated_filter_bgzip/bgzipped_file",
                            "id": "#main/annotated_filter_index/vcf"
                        }
                    ],
                    "out": [
                        "#main/annotated_filter_index/indexed_vcf"
                    ],
                    "id": "#main/annotated_filter_index"
                },
                {
                    "run": "#filter_sv_vcf.cwl",
                    "in": [
                        {
                            "source": "#main/maximum_sv_pop_freq",
                            "id": "#main/filter_vcf/maximum_sv_population_frequency"
                        },
                        {
                            "source": "#main/sv_filter_interval_lists",
                            "id": "#main/filter_vcf/sv_intervals"
                        },
                        {
                            "source": "#main/run_merge/merged_annotated_vcf",
                            "id": "#main/filter_vcf/vcf"
                        }
                    ],
                    "out": [
                        "#main/filter_vcf/filtered_vcf",
                        "#main/filter_vcf/sv_pop_filtered_vcf"
                    ],
                    "id": "#main/filter_vcf"
                },
                {
                    "run": "#cnvkit_single_sample.cwl",
                    "in": [
                        {
                            "source": "#main/cnvkit_vcf_name",
                            "id": "#main/run_cnvkit/cnvkit_vcf_name"
                        },
                        {
                            "source": "#main/cnvkit_diagram",
                            "id": "#main/run_cnvkit/diagram"
                        },
                        {
                            "source": "#main/cnvkit_drop_low_coverage",
                            "id": "#main/run_cnvkit/drop_low_coverage"
                        },
                        {
                            "source": "#main/cnvkit_male_reference",
                            "id": "#main/run_cnvkit/male_reference"
                        },
                        {
                            "source": "#main/cnvkit_method",
                            "id": "#main/run_cnvkit/method"
                        },
                        {
                            "source": "#main/cnvkit_reference_cnn",
                            "id": "#main/run_cnvkit/reference_cnn"
                        },
                        {
                            "source": "#main/cnvkit_scatter_plot",
                            "id": "#main/run_cnvkit/scatter_plot"
                        },
                        {
                            "source": "#main/bam",
                            "id": "#main/run_cnvkit/tumor_bam"
                        }
                    ],
                    "out": [
                        "#main/run_cnvkit/cn_diagram",
                        "#main/run_cnvkit/cn_scatter_plot",
                        "#main/run_cnvkit/tumor_antitarget_coverage",
                        "#main/run_cnvkit/tumor_target_coverage",
                        "#main/run_cnvkit/tumor_bin_level_ratios",
                        "#main/run_cnvkit/tumor_segmented_ratios",
                        "#main/run_cnvkit/cnvkit_vcf"
                    ],
                    "id": "#main/run_cnvkit"
                },
                {
                    "run": "#manta_somatic.cwl",
                    "in": [
                        {
                            "source": "#main/manta_call_regions",
                            "id": "#main/run_manta/call_regions"
                        },
                        {
                            "source": "#main/manta_non_wgs",
                            "id": "#main/run_manta/non_wgs"
                        },
                        {
                            "source": "#main/manta_output_contigs",
                            "id": "#main/run_manta/output_contigs"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/run_manta/reference"
                        },
                        {
                            "source": "#main/bam",
                            "id": "#main/run_manta/tumor_bam"
                        }
                    ],
                    "out": [
                        "#main/run_manta/diploid_variants",
                        "#main/run_manta/somatic_variants",
                        "#main/run_manta/all_candidates",
                        "#main/run_manta/small_candidates",
                        "#main/run_manta/tumor_only_variants"
                    ],
                    "id": "#main/run_manta"
                },
                {
                    "run": "#merge_svs.cwl",
                    "in": [
                        {
                            "source": "#main/merge_estimate_sv_distance",
                            "id": "#main/run_merge/estimate_sv_distance"
                        },
                        {
                            "source": "#main/merge_max_distance",
                            "id": "#main/run_merge/max_distance_to_merge"
                        },
                        {
                            "source": "#main/merge_min_svs",
                            "id": "#main/run_merge/minimum_sv_calls"
                        },
                        {
                            "source": "#main/merge_min_sv_size",
                            "id": "#main/run_merge/minimum_sv_size"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/run_merge/reference"
                        },
                        {
                            "source": "#main/merge_same_strand",
                            "id": "#main/run_merge/same_strand"
                        },
                        {
                            "source": "#main/merge_same_type",
                            "id": "#main/run_merge/same_type"
                        },
                        {
                            "source": "#main/merge_sv_pop_freq_db",
                            "id": "#main/run_merge/sv_db"
                        },
                        {
                            "source": [
                                "#main/run_cnvkit/cnvkit_vcf",
                                "#main/run_manta/tumor_only_variants",
                                "#main/run_smoove/output_vcf"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/run_merge/vcfs"
                        },
                        {
                            "source": "#main/vep_assembly",
                            "id": "#main/run_merge/vep_assembly"
                        },
                        {
                            "source": "#main/vep_cache_dir",
                            "id": "#main/run_merge/vep_cache_dir"
                        }
                    ],
                    "out": [
                        "#main/run_merge/merged_annotated_vcf",
                        "#main/run_merge/vep_summary"
                    ],
                    "id": "#main/run_merge"
                },
                {
                    "run": "#smoove.cwl",
                    "in": [
                        {
                            "source": [
                                "#main/bam"
                            ],
                            "linkMerge": "merge_flattened",
                            "id": "#main/run_smoove/bams"
                        },
                        {
                            "source": "#main/smoove_exclude_regions",
                            "id": "#main/run_smoove/exclude_regions"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/run_smoove/reference"
                        }
                    ],
                    "out": [
                        "#main/run_smoove/output_vcf"
                    ],
                    "id": "#main/run_smoove"
                },
                {
                    "run": "#variants_to_table.cwl",
                    "scatter": [
                        "#main/variants_to_table/vcf"
                    ],
                    "scatterMethod": "dotproduct",
                    "in": [
                        {
                            "source": "#main/variants_to_table_fields",
                            "id": "#main/variants_to_table/fields"
                        },
                        {
                            "source": "#main/variants_to_table_genotype_fields",
                            "id": "#main/variants_to_table/genotype_fields"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/variants_to_table/reference"
                        },
                        {
                            "source": "#main/annotated_filter_index/indexed_vcf",
                            "id": "#main/variants_to_table/vcf"
                        }
                    ],
                    "out": [
                        "#main/variants_to_table/variants_tsv"
                    ],
                    "id": "#main/variants_to_table"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "label": "add population allele frequencies to a vcf",
            "arguments": [
                "/opt/hall-lab/python-2.7.15/bin/svtools",
                "afreq",
                "$(inputs.vcf)",
                {
                    "shellQuote": false,
                    "valueFrom": "|"
                },
                "/opt/hall-lab/python-2.7.15/bin/svtools",
                "vcftobedpe",
                "-i",
                "stdin",
                {
                    "shellQuote": false,
                    "valueFrom": "|"
                },
                "/opt/hall-lab/python-2.7.15/bin/svtools",
                "varlookup",
                "-d",
                "200",
                "-c",
                "POPFREQ",
                "-a",
                "stdin",
                "-b",
                "$(inputs.sv_db)",
                {
                    "shellQuote": false,
                    "valueFrom": "|"
                },
                "/opt/hall-lab/python-2.7.15/bin/svtools",
                "bedpetovcf"
            ],
            "stdout": "$(inputs.cohort_name)",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "halllab/svtools:v0.4.0-2dc7f91"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 5000,
                    "coresMin": 1
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "merged_annotated.vcf",
                    "id": "#add_sv_population_frequency.cwl/cohort_name"
                },
                {
                    "type": "File",
                    "doc": "bed file containing allele frequencies for a population",
                    "id": "#add_sv_population_frequency.cwl/sv_db"
                },
                {
                    "type": "File",
                    "doc": "vcf to add population allele frequencies to",
                    "id": "#add_sv_population_frequency.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#add_sv_population_frequency.cwl/merged_annotated_vcf",
                    "outputBinding": {
                        "glob": "$(inputs.cohort_name)"
                    }
                }
            ],
            "id": "#add_sv_population_frequency.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "add VEP annotation to report",
            "baseCommand": [
                "vep-annotation-reporter"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "griffithlab/vatools:3.1.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/$(inputs.prefix).annotated.tsv"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "variants",
                    "id": "#add_vep_fields_to_table.cwl/prefix"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#add_vep_fields_to_table.cwl/tsv"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#add_vep_fields_to_table.cwl/vcf"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "default": [
                        "Consequence",
                        "SYMBOL",
                        "Feature",
                        "HGVSc",
                        "HGVSp"
                    ],
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#add_vep_fields_to_table.cwl/vep_fields"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.prefix).annotated.tsv"
                    },
                    "id": "#add_vep_fields_to_table.cwl/annotated_variants_tsv"
                }
            ],
            "id": "#add_vep_fields_to_table.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/opt/ccdg/bedtools-2.27.1/bin/bedtools",
                "intersect"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ernfrid/bedtools:v2.27.1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "stdout": "$(inputs.output_name)",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-a"
                    },
                    "doc": "BAM/BED/GFF/VCF file to compare to file b",
                    "id": "#bedtools_intersect.cwl/file_a"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-b"
                    },
                    "doc": "BAM/BED/GFF/VCF file to compare to file a",
                    "id": "#bedtools_intersect.cwl/file_b"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-wa"
                    },
                    "doc": "Write the original entry in A for each overlap, default to true",
                    "id": "#bedtools_intersect.cwl/output_file_a"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "position": 4,
                        "prefix": "-header"
                    },
                    "doc": "Print the header from the A file prior to results, default to true",
                    "id": "#bedtools_intersect.cwl/output_header"
                },
                {
                    "type": "string",
                    "id": "#bedtools_intersect.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-u"
                    },
                    "doc": "Write original A entry once if any overlaps found in B, default to true",
                    "id": "#bedtools_intersect.cwl/unique_result"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#bedtools_intersect.cwl/intersect_result",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    }
                }
            ],
            "id": "#bedtools_intersect.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "bgzip VCF",
            "baseCommand": [
                "/opt/htslib/bin/bgzip"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "stdout": "$(inputs.file.basename).gz",
            "arguments": [
                "-c"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#bgzip.cwl/file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#bgzip.cwl/bgzipped_file",
                    "outputBinding": {
                        "glob": "$(inputs.file.basename).gz"
                    }
                }
            ],
            "id": "#bgzip.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/usr/bin/python",
                "/usr/local/bin/cnvkit.py",
                "batch"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "etal/cnvkit:0.9.5"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "ramMin": 4000,
                    "tmpdirMin": 10000
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 5,
                        "prefix": "--access"
                    },
                    "id": "#cnvkit_batch.cwl/access"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "--targets"
                    },
                    "id": "#cnvkit_batch.cwl/bait_intervals"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 7,
                        "prefix": "--diagram"
                    },
                    "id": "#cnvkit_batch.cwl/diagram"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "--drop-low-coverage"
                    },
                    "id": "#cnvkit_batch.cwl/drop_low_coverage"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "-y"
                    },
                    "id": "#cnvkit_batch.cwl/male_reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "hybrid",
                    "inputBinding": {
                        "position": 6,
                        "prefix": "--method"
                    },
                    "id": "#cnvkit_batch.cwl/method"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--normal"
                    },
                    "id": "#cnvkit_batch.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4,
                        "prefix": "--fasta"
                    },
                    "id": "#cnvkit_batch.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-r"
                    },
                    "id": "#cnvkit_batch.cwl/reference_cnn"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 8,
                        "prefix": "--scatter"
                    },
                    "id": "#cnvkit_batch.cwl/scatter_plot"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cnvkit_batch.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot)-diagram.pdf"
                    },
                    "id": "#cnvkit_batch.cwl/cn_diagram"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot)-scatter.pdf"
                    },
                    "id": "#cnvkit_batch.cwl/cn_scatter_plot"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${  \n    var glob_base = \".antitarget.bed\";\n    if (inputs.bait_intervals) {\n        glob_base = inputs.bait_intervals.nameroot + glob_base;\n    }   \n    return glob_base;\n}  \n"
                    },
                    "id": "#cnvkit_batch.cwl/intervals_antitarget"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".target.bed\";\n    if (inputs.bait_intervals) {\n        glob_base = inputs.bait_intervals.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/intervals_target"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".antitargetcoverage.cnn\";\n    if (inputs.normal_bam) {\n        glob_base = inputs.normal_bam.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/normal_antitarget_coverage"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n    var glob_base = \".targetcoverage.cnn\";\n    if (inputs.normal_bam) {\n        glob_base = inputs.normal_bam.nameroot + glob_base;\n    }\n    return glob_base;\n}\n"
                    },
                    "id": "#cnvkit_batch.cwl/normal_target_coverage"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "reference.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/reference_coverage"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).antitargetcoverage.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_antitarget_coverage"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).cnr"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_bin_level_ratios"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).cns"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_segmented_ratios"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.tumor_bam.nameroot).targetcoverage.cnn"
                    },
                    "id": "#cnvkit_batch.cwl/tumor_target_coverage"
                }
            ],
            "id": "#cnvkit_batch.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Convert default cnvkit .cns output to standard vcf format",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "etal/cnvkit:0.9.5"
                },
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": [
                "/usr/bin/python",
                "/usr/local/bin/cnvkit.py",
                "call"
            ],
            "arguments": [
                {
                    "position": -1,
                    "valueFrom": "$(inputs.male_reference)",
                    "prefix": "-y"
                },
                "-o",
                "adjusted.tumor.cns",
                {
                    "shellQuote": false,
                    "valueFrom": "&&"
                },
                "/usr/bin/python",
                "/usr/local/bin/cnvkit.py",
                "export",
                "vcf",
                "adjusted.tumor.cns"
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 2,
                        "prefix": "--cnr"
                    },
                    "id": "#cnvkit_vcf_export.cwl/cnr_file"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -2
                    },
                    "id": "#cnvkit_vcf_export.cwl/cns_file"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-y"
                    },
                    "id": "#cnvkit_vcf_export.cwl/male_reference"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-o"
                    },
                    "id": "#cnvkit_vcf_export.cwl/output_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#cnvkit_vcf_export.cwl/cnvkit_vcf"
                }
            ],
            "id": "#cnvkit_vcf_export.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "POPFREQ_AF filter",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/vcf_check.pl"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/vep_helper-cwl:1.0.1"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "arguments": [
                {
                    "valueFrom": "$(inputs.vcf.path)"
                },
                {
                    "valueFrom": "$(runtime.outdir)/annotated.max_sv_pf_filtered.vcf"
                },
                "/usr/bin/perl",
                "/opt/vep/src/ensembl-vep/filter_vep",
                "--format",
                "vcf",
                "--vcf_info_field",
                "tmp",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/annotated.max_sv_pf_filtered.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "float",
                    "inputBinding": {
                        "valueFrom": "${\n    return [\n        \"--filter\",\n        [\n            \"POPFREQ_AF\", \"<\", inputs.maximum_sv_population_frequency,\n            \"or not\", \"POPFREQ_AF\"\n        ].join(\" \")\n    ]\n}\n",
                        "position": 2
                    },
                    "id": "#filter_vcf_max_sv_pop_freq.cwl/maximum_sv_population_frequency"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i",
                        "position": 1
                    },
                    "id": "#filter_vcf_max_sv_pop_freq.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.max_sv_pf_filtered.vcf"
                    },
                    "id": "#filter_vcf_max_sv_pop_freq.cwl/filtered_vcf"
                }
            ],
            "id": "#filter_vcf_max_sv_pop_freq.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "vcf index",
            "arguments": [
                "cp",
                "$(inputs.vcf.path)",
                "$(runtime.outdir)/$(inputs.vcf.basename)",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "/usr/bin/tabix",
                "-p",
                "vcf"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/samtools-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "valueFrom": "$(self.basename)",
                        "position": 1
                    },
                    "id": "#index_vcf.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.vcf.basename)"
                    },
                    "id": "#index_vcf.cwl/indexed_vcf"
                }
            ],
            "id": "#index_vcf.cwl"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "/usr/bin/perl",
                "/usr/bin/intervals_to_bed.pl"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/perl_helper-cwl:1.0.0"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 4000
                }
            ],
            "stdout": "interval_list.bed",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#intervals_to_bed.cwl/interval_list"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#intervals_to_bed.cwl/interval_bed",
                    "outputBinding": {
                        "glob": "interval_list.bed"
                    }
                }
            ],
            "id": "#intervals_to_bed.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Set up and execute manta",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/manta_somatic-cwl:1.5.0"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 12,
                    "ramMin": 24000,
                    "tmpdirMin": 10000
                }
            ],
            "baseCommand": [
                "/usr/bin/python",
                "/usr/bin/manta/bin/configManta.py"
            ],
            "arguments": [
                {
                    "position": -1,
                    "valueFrom": "$(runtime.outdir)",
                    "prefix": "--runDir"
                },
                {
                    "shellQuote": false,
                    "valueFrom": "&&"
                },
                "/usr/bin/python",
                "runWorkflow.py",
                "-m",
                "local",
                {
                    "position": 1,
                    "valueFrom": "$(runtime.cores)",
                    "prefix": "-j"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": -5,
                        "prefix": "--callRegions"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "doc": "bgzip-compressed, tabix-indexed BED file specifiying regions to which variant analysis will be restricted",
                    "id": "#manta_somatic.cwl/call_regions"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": -6,
                        "prefix": "--exome"
                    },
                    "doc": "toggles on settings for WES",
                    "id": "#manta_somatic.cwl/non_wgs"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": -2,
                        "prefix": "--normalBam"
                    },
                    "secondaryFiles": "${if (self.nameext === \".bam\") {return self.basename + \".bai\"} else {return self.basename + \".crai\"}}",
                    "id": "#manta_somatic.cwl/normal_bam"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": -7,
                        "prefix": "--outputContig"
                    },
                    "doc": "if true, outputs assembled contig sequences in final VCF files, in the INFO field CONTIG",
                    "id": "#manta_somatic.cwl/output_contigs"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": -4,
                        "prefix": "--referenceFasta"
                    },
                    "id": "#manta_somatic.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": -3,
                        "prefix": "--tumorBam"
                    },
                    "secondaryFiles": "${if (self.nameext === \".bam\") {return self.basename + \".bai\"} else {return self.basename + \".crai\"}}",
                    "id": "#manta_somatic.cwl/tumor_bam"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results/variants/candidateSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/all_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/diploidSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/diploid_variants"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "results/variants/candidateSmallIndels.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/small_candidates"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/somaticSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/somatic_variants"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "results/variants/tumorSV.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#manta_somatic.cwl/tumor_only_variants"
                }
            ],
            "id": "#manta_somatic.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Run Smoove v0.1.6",
            "baseCommand": "/usr/local/bin/smoove",
            "arguments": [
                "call",
                "--processes",
                "4",
                "-F"
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "brentp/smoove@sha256:9d5098d3882df1443aae36922d36b5188af1cb9b8f83dab4a9ed041a6a8019cc"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 20000,
                    "coresMin": 4,
                    "tmpdirMin": 10000
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "prefix": "--genotype",
                        "position": 1
                    },
                    "doc": "Array of bams to run through lumpy, can be single or small cohort",
                    "id": "#smoove.cwl/bams"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--name",
                        "position": 2
                    },
                    "default": "SV",
                    "doc": "Used for naming the output file",
                    "id": "#smoove.cwl/cohort_name"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--exclude",
                        "position": 4
                    },
                    "doc": "Bed file used to exclude regions",
                    "id": "#smoove.cwl/exclude_regions"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--fasta",
                        "position": 3
                    },
                    "doc": "Reference used to generate the bams",
                    "id": "#smoove.cwl/reference"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.cohort_name)-smoove.genotyped.vcf.gz"
                    },
                    "secondaryFiles": [
                        ".csi"
                    ],
                    "id": "#smoove.cwl/output_vcf"
                }
            ],
            "id": "#smoove.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Sort VCF",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx16g",
                "-jar",
                "/opt/picard/picard.jar",
                "SortVcf"
            ],
            "arguments": [
                "O=",
                {
                    "valueFrom": "$(runtime.outdir)/sorted.vcf"
                }
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 18000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/picard-cwl:2.18.1"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "SEQUENCE_DICTIONARY="
                    },
                    "id": "#sort_vcf.cwl/reference_dict"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "I="
                    },
                    "id": "#sort_vcf.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "sorted.vcf"
                    },
                    "id": "#sort_vcf.cwl/sorted_vcf"
                }
            ],
            "id": "#sort_vcf.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Run SURVIVOR to merge SV calls",
            "baseCommand": [
                "/bin/bash",
                "/usr/bin/survivor_merge_helper.sh"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/survivor-cwl:1.0.6.2"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMin": 2000,
                    "coresMin": 1
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 8
                    },
                    "default": "SURVIVOR-sv-merged.vcf",
                    "doc": "Used to generate the output file name",
                    "id": "#survivor.cwl/cohort_name"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 6,
                        "valueFrom": "${\n  if(inputs.estimate_sv_distance){\n    return \"1\";\n  } else {\n    return \"0\";\n  }\n}\n"
                    },
                    "doc": "Estimate distance based on the size of SV",
                    "id": "#survivor.cwl/estimate_sv_distance"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 2
                    },
                    "doc": "Maximum distance of variants to consider for merging",
                    "id": "#survivor.cwl/max_distance_to_merge"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 3
                    },
                    "doc": "Minimum number of sv calls needed to be merged",
                    "id": "#survivor.cwl/minimum_sv_calls"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 7
                    },
                    "doc": "Minimum size of SVs to merge",
                    "id": "#survivor.cwl/minimum_sv_size"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 5,
                        "valueFrom": "${\n  if(inputs.same_strand){\n    return \"1\";\n  } else {\n    return \"0\";\n  }\n}\n"
                    },
                    "doc": "Require merged SVs to be on the same strand",
                    "id": "#survivor.cwl/same_strand"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "position": 4,
                        "valueFrom": "${\n  if(inputs.same_type){\n    return \"1\";\n  } else {\n    return \"0\";\n  }\n}\n"
                    },
                    "doc": "Require merged SVs to be of the same type",
                    "id": "#survivor.cwl/same_type"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1,
                        "itemSeparator": ","
                    },
                    "doc": "Array of VCFs to merge SV calls of",
                    "id": "#survivor.cwl/vcfs"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.cohort_name)"
                    },
                    "id": "#survivor.cwl/merged_vcf"
                }
            ],
            "id": "#survivor.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "SelectVariants (GATK 3.6)",
            "baseCommand": [
                "/usr/bin/java",
                "-Xmx4g",
                "-jar",
                "/opt/GenomeAnalysisTK.jar",
                "-T",
                "VariantsToTable"
            ],
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 6000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/gatk-cwl:3.6.0"
                }
            ],
            "arguments": [
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/variants.tsv"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "-F"
                        }
                    },
                    "default": [
                        "CHROM",
                        "POS",
                        "ID",
                        "REF",
                        "ALT",
                        "set"
                    ],
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#variants_to_table.cwl/fields"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "-GF"
                        }
                    },
                    "default": [
                        "GT",
                        "AD",
                        "DP",
                        "AF"
                    ],
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#variants_to_table.cwl/genotype_fields"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-R",
                        "position": 1
                    },
                    "id": "#variants_to_table.cwl/reference"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--variant",
                        "position": 2
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#variants_to_table.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "variants.tsv"
                    },
                    "id": "#variants_to_table.cwl/variants_tsv"
                }
            ],
            "id": "#variants_to_table.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Ensembl Variant Effect Predictor",
            "baseCommand": [
                "/usr/bin/perl",
                "-I",
                "/opt/lib/perl/VEP/Plugins",
                "/usr/bin/variant_effect_predictor.pl"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 4,
                    "ramMin": 64000,
                    "tmpdirMin": 25000
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "mgibio/vep_helper-cwl:1.1.0"
                }
            ],
            "arguments": [
                "--format",
                "vcf",
                "--vcf",
                "--fork",
                "4",
                "--term",
                "SO",
                "--transcript_version",
                "--offline",
                "--cache",
                "--symbol",
                "-o",
                {
                    "valueFrom": "$(runtime.outdir)/annotated.vcf"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--assembly",
                        "position": 10
                    },
                    "id": "#vep.cwl/assembly"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--dir",
                        "position": 4
                    },
                    "id": "#vep.cwl/cache_dir"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "--coding_only",
                        "position": 3
                    },
                    "default": false,
                    "id": "#vep.cwl/coding_only"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "inputBinding": {
                        "valueFrom": "${\n    if (inputs.custom_clinvar_vcf) {\n        return [\"--custom\", inputs.custom_clinvar_vcf.path + \",clinvar,vcf,exact,0,CLINSIGN,PHENOTYPE,SCORE,RCVACC,TESTEDINGTR,PHENOTYPELIST,NUMSUBMIT,GUIDELINES\"]\n\n    }\n    else {\n        return []\n    }\n}\n",
                        "position": 7
                    },
                    "id": "#vep.cwl/custom_clinvar_vcf"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "inputBinding": {
                        "valueFrom": "${\n    if (inputs.custom_gnomad_vcf) {\n        return ['--check_existing', '--custom', inputs.custom_gnomad_vcf.path + ',gnomADe,vcf,exact,0,AF,AF_AFR,AF_AMR,AF_ASJ,AF_EAS,AF_FIN,AF_NFE,AF_OTH,AF_SAS']\n    }\n    else {\n        return []\n    }\n}\n",
                        "position": 6
                    },
                    "id": "#vep.cwl/custom_gnomad_vcf"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "default": true,
                    "inputBinding": {
                        "prefix": "--everything",
                        "position": 11
                    },
                    "id": "#vep.cwl/everything"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#vep.cwl/pick/pick",
                                "#vep.cwl/pick/flag_pick",
                                "#vep.cwl/pick/pick_allele",
                                "#vep.cwl/pick/per_gene",
                                "#vep.cwl/pick/pick_allele_gene",
                                "#vep.cwl/pick/flag_pick_allele",
                                "#vep.cwl/pick/flag_pick_allele_gene"
                            ]
                        }
                    ],
                    "default": "flag_pick",
                    "inputBinding": {
                        "prefix": "--",
                        "separate": false,
                        "position": 7
                    },
                    "id": "#vep.cwl/pick"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string",
                        "inputBinding": {
                            "prefix": "--plugin"
                        }
                    },
                    "inputBinding": {
                        "position": 9
                    },
                    "id": "#vep.cwl/plugins"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--fasta",
                        "position": 8
                    },
                    "id": "#vep.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--synonyms",
                        "position": 2
                    },
                    "id": "#vep.cwl/synonyms_file"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-i",
                        "position": 1
                    },
                    "id": "#vep.cwl/vcf"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.vcf"
                    },
                    "id": "#vep.cwl/annotated_vcf"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "annotated.vcf_summary.html"
                    },
                    "id": "#vep.cwl/vep_summary"
                }
            ],
            "id": "#vep.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
